### Class

# Foundry LlmToolCall

#### Description

    abstract class Foundry.LlmToolCall : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_llm_tool_call_confirm

Confirms that the tool call is authorized and performs it.

###### foundry_llm_tool_call_deny

Denies that the tool call is authorized and returns a message of failure to be sent back to the model.

###### foundry_llm_tool_call_dup_subtitle

No description available.

###### foundry_llm_tool_call_dup_title

No description available.

###### foundry_llm_tool_call_is_callable

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.LlmToolCall:is-callable

No description available.

###### Foundry.LlmToolCall:subtitle

No description available.

###### Foundry.LlmToolCall:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryLlmToolCallClass {
      GObjectClass parent_class;
      char* (* dup_title) (
        FoundryLlmToolCall* self
      );
      char* (* dup_subtitle) (
        FoundryLlmToolCall* self
      );
      gboolean (* is_callable) (
        FoundryLlmToolCall* self
      );
      DexFuture* (* confirm) (
        FoundryLlmToolCall* self
      );
      DexFuture* (* deny) (
        FoundryLlmToolCall* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_title: char* (* dup_title) ( FoundryLlmToolCall* self )`

  No description available.

`dup_subtitle: char* (* dup_subtitle) ( FoundryLlmToolCall* self )`

  No description available.

`is_callable: gboolean (* is_callable) ( FoundryLlmToolCall* self )`

  No description available.

`confirm: DexFuture* (* confirm) ( FoundryLlmToolCall* self )`

  No description available.

`deny: DexFuture* (* deny) ( FoundryLlmToolCall* self )`

  No description available.

#### Virtual methods

###### Foundry.LlmToolCallClass.confirm

Confirms that the tool call is authorized and performs it.

###### Foundry.LlmToolCallClass.deny

Denies that the tool call is authorized and returns a message of failure to be sent back to the model.

###### Foundry.LlmToolCallClass.dup_subtitle

No description available.

###### Foundry.LlmToolCallClass.dup_title

No description available.

###### Foundry.LlmToolCallClass.is_callable

No description available.